2019-10-16 14:13 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002561FSSCPmodelspublic2012-01-13 05:42
ReporterNuke 
Assigned ToThe_E 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.13 
Target VersionFixed in Version3.6.13 
Summary0002561: rotating weapon models no longer rotate
Descriptionusing 3.6.13 revision 8161 primary weapon model rotation does not work. also checked 3.6.14 rc2 and the bug is not in that build.
Steps To Reproducelaunch under a mod that uses the feature, such as nukemod
http://nukedspace.fsmods.net/nukemod.7z
42 megs. if you need something smaller let me know.

load mission scanning crates
select a ship with gatling guns (which is like all of them, but the phoenix has guns visible from the cockpit)

fire weapon

note lack of spinieness
Additional Informationmodels have the $gun_rotation submodel property on spinning subobject and relevant table settings are set to:

$External Model File: phalanx.pof
$Submodel Rotation Speed: 52.36
$Submodel Rotation Acceleration: 50
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0013031

The_E (administrator)

The issue here was that the models all had "$gun_rotation" in their submodel properties, while the engine was looking for "$gun_rotation:", for some obscure reason.

Fix committed rev 8195
+Notes

-Issue History
Date Modified Username Field Change
2012-01-11 13:20 Nuke New Issue
2012-01-13 05:33 The_E Assigned To => The_E
2012-01-13 05:33 The_E Status new => assigned
2012-01-13 05:42 The_E Note Added: 0013031
2012-01-13 05:42 The_E Status assigned => resolved
2012-01-13 05:42 The_E Fixed in Version => 3.6.13
2012-01-13 05:42 The_E Resolution open => fixed
+Issue History